Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Fehler bei Makro Hauptkörper gleich Teilenummer

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Fehler bei Makro Hauptkörper gleich Teilenummer (184 mal gelesen)
Andreas Müller 1977
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Andreas Müller 1977 an!   Senden Sie eine Private Message an Andreas Müller 1977  Schreiben Sie einen Gästebucheintrag für Andreas Müller 1977

Beiträge: 38
Registriert: 28.08.2010

erstellt am: 08. Feb. 2020 13:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen

Habe auch mal das Makro vom Jonas ausprobiert.
Geht soweit ganz gut aber wenn ein lehres Product dabei ist kommt Fehler.
Kann jemand mir helfen ( da ich von Programiersprache keine Ahnung habe) und das Makro so ändern dass es auch durchläuft wenn Lehre Produkte dabei sind.
Hier nochmal die Kopie
Language="VBSCRIPT"

Sub CATMain()

Dim documents1 As Documents
Set documents1 = CATIA.Documents
Dim Document1, aktuPartDoc As Document
Set Document1 = CATIA.ActiveDocument
Dim PartSelektion As Selection
Set PartSelektion = Document1.Selection
PartSelektion.Search "CATProductSearch.Part,all"
Dim PartMenge, I As Integer
PartMenge = PartSelektion.Count
MsgBox(" PartMenge = " & PartMenge )

Dim aktuPart As Part
Dim DocDescription As String
Dim bodies1 As Bodies
Dim body1 As Body

For I =1 To PartMenge
Set aktuPart = PartSelektion.Item(I).value.ReferenceProduct.Parent.Part
DocDescription = aktuPart.Name
MsgBox("DocDescription = a" & DocDescription )
Set bodies1 = aktuPart.Bodies
Set body1 = aktuPart.MainBody 'Set body1 = bodies1.Item("Hauptkörper")
body1.name = DocDescription
Next

End Sub

Würde mich über eure Hilfe sehr freuen

------------------
Mit freundlichem Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10883
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 08. Feb. 2020 13:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas Müller 1977 10 Unities + Antwort hilfreich

Servus

Du könntest prüfen ob es sich beim gefunden wirklich um PartDocument handelt. zB

Code:
For I = 1 To PartMenge
   if TypeName(PartSelektion.Item(I).Value.ReferenceProduct.Parent) = "PartDocument" then
      Set aktuPart = PartSelektion.Item(I).value.ReferenceProduct.Parent.Part
      DocDescription = aktuPart.Name
      MsgBox("DocDescription = a" & DocDescription )
      Set body1 = aktuPart.MainBody 'Set body1 = bodies1.Item("Hauptkörper")
      body1.name = DocDescription
   end if
Next
Gruß
Bernd

PS: Bitte entweder die alte Diskussion verlinken, oder die Frage bei der vorherigen Diskussion stellen (Nachvollziehbarkeit, eindeutige Diskussion, ...)

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Müller 1977
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Andreas Müller 1977 an!   Senden Sie eine Private Message an Andreas Müller 1977  Schreiben Sie einen Gästebucheintrag für Andreas Müller 1977

Beiträge: 38
Registriert: 28.08.2010

erstellt am: 08. Feb. 2020 16:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd

Schon mal vielen Dank für deine Hilfe
Habe das mal ausprobiert.
Kommt Fehlermeldung
Komplimierungsfehler in Microsof VBScribt
Syntaxfehler
Anweisung: if
Keine Ahnung was ich da machen soll

------------------
Mit freundlichem Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10883
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 08. Feb. 2020 16:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas Müller 1977 10 Unities + Antwort hilfreich

Servus Andreas

Hast du vielleicht einen Zeilenwechsel zu viel? (von if bis einschließlich then steht alles in einer Zeile)
ggf solltest du dir mal die Grundlagen zu VBA anschauen

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Müller 1977
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Andreas Müller 1977 an!   Senden Sie eine Private Message an Andreas Müller 1977  Schreiben Sie einen Gästebucheintrag für Andreas Müller 1977

Beiträge: 38
Registriert: 28.08.2010

erstellt am: 08. Feb. 2020 20:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd

Hast recht auf das hatte ich nicht geachtet
Jetzt läuft durch
Nochmal vielen vielen Dank

------------------
Mit freundlichem Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz